Subject: [alpine-aports] [PATCH] main/busybox: add logrotate file for acpid

From: Sören Tempel <[email-masked]>
Date: Fri, 7 Aug 2015 16:32:37 +0200

---
 main/busybox/APKBUILD        | 9 ++++++++-
 main/busybox/acpid.logrotate | 8 ++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)
 create mode 100644 main/busybox/acpid.logrotate

diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 25c2daf..b52707a 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=busybox
 pkgver=1.23.2
-pkgrel=5
+pkgrel=6
 pkgdesc="Size optimized toolbox of many common UNIX utilities"
 url=http://busybox.net
 arch="all"
@@ -33,6 +33,7 @@ source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
 	1001-fbsplash-support-console-switching.patch
 	1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
 
+	acpid.logrotate
 	busyboxconfig
 	glibc.patch"
 
@@ -104,6 +105,9 @@ package() {
 		"$pkgdir"/etc/network/if-pre-up.d \
 		"$pkgdir"/etc/network/if-up.d \
 		|| return 1
+
+	install -Dm644 "$srcdir"/acpid.logrotate \
+		"$pkgdir/etc/logrotate.d/acpid" || return 1
 }
 
 static() {
@@ -128,6 +132,7 @@ e1c183cbe1ca18a0fa0d9597314076c9  0001-ifupdown-use-x-hostname-NAME-with-udhcpc.
 699ce5aa1095ba4419cd595cec8a8f75  1000-fbsplash-use-virtual-y-size-in-mmap-size-calculation.patch
 b56d306ccba574da78dff060b7330806  1001-fbsplash-support-console-switching.patch
 4fe5f9e973674c7db3d07f295c363a7c  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
+4046b78ee6a25259954797d73b94f4bd  acpid.logrotate
 961e07aac55e31c1b535d44a771b486c  busyboxconfig
 befaac2c59c380e36a452b3f1c1d4a3a  glibc.patch"
 sha256sums="05a6f9e21aad8c098e388ae77de7b2361941afa7157ef74216703395b14e319a  busybox-1.23.2.tar.bz2
@@ -145,6 +150,7 @@ ac2cd5fed91bfaec22ed1f2766396d0feb29b9b96f20b2c12d5d8ac8769afae9  0001-linedit-d
 043963183cad556bdae5d5608180f0cb76cf7eede175cd97aa002a787780500f  1000-fbsplash-use-virtual-y-size-in-mmap-size-calculation.patch
 b8b0b16ed67b0159256193b1d2108b8ef9aa8a334ab81e463bb970c71257da9a  1001-fbsplash-support-console-switching.patch
 e1f3fad8e21dfd72cfcae7ab3ba31d7938e964e0f9ec08b2da0b14d462435424  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
+f7cbeb5a5a47395ad30454ce8262abcd3e91c33ef803c2ae31a9258d7142dd48  acpid.logrotate
 41e65ccc2994877a5efc05ff7a9f18f1a582cc32b6a6e0278b6a24d4fde47eea  busyboxconfig
 c604ef791c31d35a8c5ee4558d21428a46f37a6d762c4a7e29864f4037fc44a0  glibc.patch"
 sha512sums="209c8ef26e40ccb81510f6b663202b080f9bbecac7faf386bbabf7e36a43d63b15dd6ce9f7a84c1ccc5345c524999812251da1e113ef9faadc6af1fedd24c7c9  busybox-1.23.2.tar.bz2
@@ -162,5 +168,6 @@ a35b66cd28b79ccc14b47315ac94677fdf8c14d8a6e8956707e71fb50d453dfc5b4b822832cd1fae
 2a8e9360e1cedd26bdb70d8cc036ef0abc7588bf2eee147c1c7436d7a40763f8e31d346b980145a36649130a2f811d299e4f46f7e1b60a8165a60ae9e79727d5  1000-fbsplash-use-virtual-y-size-in-mmap-size-calculation.patch
 a181dd54e8e11cf1199edb1b1fcd4b7402bbf142593b6014f32c6815bb7093b56899ad0fcc9f73c382f56203ac5274fb3d51fa070feb541436f23c31680f1a69  1001-fbsplash-support-console-switching.patch
 c33073416f7da2805a20f3f456f869217171c8fbfdef85f4ae481307aeb1e1b5717084bbbc619010fa5500c3f3f49b6468d5c122024fcc49d637c82427a3f553  1002-fbsplash-support-image-and-bar-alignment-and-positio.patch
+dadb4c953ebc755b88ee95c1489feb0c2d352f6e44abc716166024e6eea11ab9d10c84fad62c081775834d205cb04aa1be3c994676c88f4284495c54b9188e8b  acpid.logrotate
 5f372010a75cda82bf27f218fe2131c0a707386b7eb85ecbb4ebd15cddd2706f853cac6bdc878c46be5effbe3d497f2582076ba744cf0b4123a698a11e901455  busyboxconfig
 1d2739379dab1deb3eae7cffd4845300eb7d30f7343b4a1209b21a5680860d55080ad45fdefe098b249ce3040c01951fa7f0a79cd447b2d7b260eb000099d9dc  glibc.patch"
diff --git a/main/busybox/acpid.logrotate b/main/busybox/acpid.logrotate
new file mode 100644
index 0000000..5d12331
--- /dev/null
+++ b/main/busybox/acpid.logrotate
@@ -0,0 +1,8 @@
+/var/log/acpid.log {
+	missingok
+	notifempty
+	sharedscripts
+	postrotate
+		/etc/init.d/acpid -q restart
+	endscript
+}
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---